Bug 5871 - strings produces "out of memory" error on certain input
: strings produces "out of memory" error on certain input
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/binutils)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-13 03:26 by
Modified: 2005-07-13 15:47 (History)


Attachments
The file causing an error (60.99 KB, application/octet-stream)
2005-01-13 03:27, Mikhail Zabaluev
no flags Details
Another sample file with large section size (32 bytes, application/octet-stream)
2005-01-15 03:08, Dmitry V. Levin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-13 03:26:35
When run on a certain file (see attachment), strings exits with an error:
strings: out of memory allocating 1365836033 bytes after a total of 0 bytes
------- Comment #1 From 2005-01-13 03:27:52 -------
Created an attachment (id=689) [details]
The file causing an error
------- Comment #2 From 2005-01-14 20:43:52 -------
I wonder whether it is a bug or not, since
strings --target=binary passes this test.
------- Comment #3 From 2005-01-15 03:08:09 -------
Created an attachment (id=693) [details]
Another sample file with large section size

Specially crafted sample file with enormously large section size.
------- Comment #4 From 2005-01-15 11:46:55 -------
The first file isn't an ELF file at all, it is a binary state dump produced by
Eclipse.

I think it's still a problem. The utility should fall back to --target=binary
mode if sanity checks on the object format fail.
------- Comment #5 From 2005-03-17 15:37:48 -------
No, this utility should not fall back to --target=binary.
The OOM handling fixed in binutils-2.15.94.0.2-alt3.